Skip to main content
GET
/
personas
List Personas
curl --request GET \
  --url https://api.example.com/personas \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "tenant_id": "<string>",
    "specialist_type": "<string>",
    "agent_id": "<string>",
    "display_name": "<string>",
    "description": "<string>",
    "config_overrides": {},
    "tags": [
      "<string>"
    ],
    "enabled": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "agent_name": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

enabled
boolean | null
tag
string | null

Response

Successful Response

id
string
required
tenant_id
string
required
specialist_type
string
required
agent_id
string
required
display_name
string
required
description
string | null
required
config_overrides
Config Overrides · object
required
tags
string[] | null
required
enabled
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
agent_name
string | null